<RESOURCE_PROFILE>
	<HEADER>
		<RESOURCE_IDENTIFIER value="ac3417f1-059d-4518-a4fc-676d80569d70_VHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZXMvVHJhbnNmb3JtYXRpb25SdWxlRFNSZXNvdXJjZVR5cGU="/>
		<RESOURCE_TYPE value="TransformationRuleDSResourceType"/>
		<RESOURCE_KIND value="TransformationRuleDSResources"/>
		<RESOURCE_URI value=""/>
		<DATE_OF_CREATION value="2017-07-24T12:14:22+01:00"/>
	</HEADER>
	<BODY>
		<CONFIGURATION>
			<IMPORTED/>
			<SCRIPT>
				<TITLE>DARIAH-DE 417 Mapping 2019-02-06</TITLE>
				<CODE>
					<![CDATA[<x3ml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" editor="3MEditor v3.3" source_type="xpath" version="1.0" xsi:noNamespaceSchemaLocation="file:///C:/Users/samarita/Desktop/schema/x3ml.xsd">
    <info>
        <title>Dariah DE -&gt; PE Mapping File Official</title>
        <general_description/>
        <source>
            <source_info>
                <source_schema type="" version=""/>
                <namespaces>
                    <namespace prefix="" uri=""/>
                </namespaces>
            </source_info>
            <source_collection/>
        </source>
        <target>
            <target_info>
                <target_schema schema_file="cidoc_crm_v6.0-draft-2015January.rdfs" type="rdfs" version="6.0">CIDOC-CRM</target_schema>
                <namespaces>
                    <namespace prefix="crm" uri="http://www.cidoc-crm.org/cidoc-crm/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMdig_v3.2.rdfs" type="rdfs" version="3.2">CRMdig</target_schema>
                <namespaces>
                    <namespace prefix="crmdig" uri="http://www.ics.forth.gr/isl/CRMext/CRMdig.rdfs/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMext4SKOSandLabel_v1.2.rdfs" type="rdfs" version="1.2">CRMext4SKOSandLabel</target_schema>
                <namespaces>
                    <namespace prefix="skos" uri="http://www.w3.org/2004/02/skos/core#"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="CRMpc_v1.0.rdfs" type="rdfs" version="1.0">CRMpc</target_schema>
                <namespaces>
                    <namespace prefix="crm" uri="http://www.cidoc-crm.org/cidoc-crm/"/>
                </namespaces>
            </target_info>
            <target_info>
                <target_schema schema_file="crmpe_2.rdfs" type="rdfs" version="2.0">CRMpe</target_schema>
                <namespaces>
                    <namespace prefix="crmpe" uri="http://ariadneplus.d4science.org/CRMext/CRMpe.rdfs/"/>
                </namespaces>
            </target_info>
            <target_collection/>
        </target>
        <mapping_info>
            <mapping_created_by_org>ACDH</mapping_created_by_org>
            <mapping_created_by_person>Matteo</mapping_created_by_person>
            <in_collaboration_with>FORTH</in_collaboration_with>
        </mapping_info>
        <example_data_info>
            <example_data_from>Dariah DE</example_data_from>
            <example_data_contact_person/>
            <example_data_source_record xml_link="coll___10-09-2018105806___957.xml"/>
            <generator_policy_info generator_link="ARIADNEPLUS-GeneratorPolicy_v1.5___10-09-2018105736___13481.xml"/>
            <example_data_target_record rdf_link="Mapping417.ttl"/>
            <thesaurus_info/>
        </example_data_info>
    </info>
    <namespaces>
        <namespace prefix="dc" uri="http://purl.org/dc/elements/1.1/"/>
        <namespace prefix="dcterms" uri="http://purl.org/dc/terms/"/>
        <namespace prefix="marcrel" uri="http://id.loc.gov/vocabulary/relators/"/>
        <namespace prefix="crmpe" uri="http://www.ics.forth.gr/isl/CRMext/CRMpe.rdfs/"/>
        <namespace prefix="cld" uri="http://purl.org/cld/terms/"/>
        <namespace prefix="ariadneplus" uri="http://pathenos.d4science.org/handle/DariahDE/"/>
        <namespace prefix="dcddm" uri="https://colreg.de.dariah.eu/schemas/DCDDM/2.0/"/>
        <namespace prefix="reg" uri="http://ariadneplus.d4science.org/handle/AriadnePlus/REG/"/>
        <namespace prefix="api" uri="https://colreg.de.dariah.eu/schemas/API/1.0/"/>
    </namespaces>
    <mappings>
        <mapping>
            <domain>
                <source_node>/api:result/api:contents/dcddm:collection</source_node>
                <target_node>
                    <entity>
                        <type>crm:E33_Linguistic_Object</type>
                        <type>crm:E78_Collection</type>
                        <instance_generator name="ThingURI">
                            <arg name="term" type="xpath">id/text()</arg>
                        </instance_generator>
                        <label_generator name="CompositeLabel">
                            <arg name="label" type="constant">Collection: </arg>
                            <arg name="text" type="xpath">id/text()</arg>
                        </label_generator>
                    </entity>
                </target_node>
            </domain>
            <link>
                <path>
                    <source_relation>
                        <relation>titles/entry/value</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>titles/entry/value</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E35_Title</type>
                            <instance_generator name="ThingAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>acronyms/entry/value</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>acronyms/entry/value</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E41_Appellation</type>
                            <instance_generator name="ThingAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>agents/agent/name</relation>
                    </source_relation>
                    <target_relation>
                        <if>
                            <equals value="1">../position()</equals>
                        </if>
                        <relationship>crmpe:PP4i_is_object_hosted_by</relationship>
                        <entity variable="">
                            <type>crmpe:PE2_Hosting_Service</type>
                            <type>crmpe:PE3_Curating_Service</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Hosting and Curating Service for</arg>
                                <arg name="text" type="xpath">../../../titles/entry/value/text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crmpe:PP2_provided_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>agents/agent/name</source_node>
                    <target_node>
                        <if>
                            <equals value="1">../position()</equals>
                        </if>
                        <entity>
                            <type>crm:E40_Legal_Body</type>
                            <instance_generator name="ConceptAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>collection_types/type</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P2_has_type</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>collection_types/type</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E55_Type</type>
                            <instance_generator name="ConceptURI_2step">
                                <arg name="term" type="constant">collectionType</arg>
                                <arg name="term1" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>decriptions/entry/value</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P3_has_note</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>decriptions/entry/value</source_node>
                    <target_node>
                        <entity>
                            <type>http://www.w3.org/2000/01/rdf-schema#Literal</type>
                            <instance_generator name="Literal">
                                <arg name="text" type="xpath">text()</arg>
                                <arg name="language" type="constant">de</arg>
                            </instance_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>webPage</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>webPage</source_node>
                    <target_node>
                        <entity>
                            <type>crmpe:PE29_Access_Point</type>
                            <instance_generator name="ThingURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>eMail</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>eMail</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E51_Contact_Point</type>
                            <instance_generator name="ThingURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>dcddm:id</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P1_is_identified_by</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>dcddm:id</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E42_Identifier</type>
                            <instance_generator name="ThingAppellationURI">
                                <arg name="term" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                        </entity>
                    </target_node>
                </range>
            </link>
            <link>
                <path>
                    <source_relation>
                        <relation>versionId</relation>
                    </source_relation>
                    <target_relation>
                        <relationship>crm:P140i_was_attributed_by</relationship>
                        <entity>
                            <type>crm:E13_Attribute_Assignment</type>
                            <instance_generator name="UUID"/>
                            <label_generator name="CompositeLabel">
                                <arg name="label" type="constant">Last Update to Database of Metadata for</arg>
                                <arg name="text" type="xpath">../titles/entry/value/text()</arg>
                            </label_generator>
                        </entity>
                        <relationship>crm:P141_assigned</relationship>
                    </target_relation>
                </path>
                <range>
                    <source_node>versionId</source_node>
                    <target_node>
                        <entity>
                            <type>crm:E42_Identifier</type>
                            <instance_generator name="URIorUUID">
                                <arg name="text" type="xpath">text()</arg>
                            </instance_generator>
                            <label_generator name="SimpleLabel">
                                <arg name="label" type="xpath">text()</arg>
                            </label_generator>
                            <additional>
                                <relationship>crm:P2_has_type</relationship>
                                <entity>
                                    <type>crm:E55_Type</type>
                                    <instance_info>
                                        <constant>databaseID</constant>
                                    </instance_info>
                                    <instance_generator name="ConceptURI_2step">
                                        <arg name="term" type="constant">appellationType</arg>
                                        <arg name="term1" type="constant">databaseID</arg>
                                    </instance_generator>
                                    <label_generator name="SimpleLabel">
                                        <arg name="label" type="constant">Database ID</arg>
                                    </label_generator>
                                </entity>
                            </additional>
                        </entity>
                    </target_node>
                </range>
            </link>
        </mapping>
    </mappings>

</x3ml>
									]]>

				</CODE>
			</SCRIPT>
		</CONFIGURATION>
		<STATUS/>
		<SECURITY_PARAMETERS/>
	</BODY>
</RESOURCE_PROFILE>